Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/src/test.cpp	(revision 38)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/src/test.cpp	(revision 40)
@@ -19,7 +19,7 @@
   Select_Priority_Fixed * _Select_Priority_Fixed = new Select_Priority_Fixed (name.c_str(),
 #ifdef STATISTICS
-					     morpheo::behavioural::Parameters_Statistics(5,50),
+									      morpheo::behavioural::Parameters_Statistics(5,50),
 #endif
-					     _param);
+									      _param);
   
 #ifdef SYSTEMC
@@ -137,17 +137,10 @@
   cout << "<" << name << "> ............ Stop Simulation" << endl;
 
-  delete CLOCK;
-  delete NRESET;
-
-  for (uint32_t i=0; i<_param._nb_entity; i++)
-    {
-      delete VAL [i];
-      delete ACK [i];
-    }
-  
-  delete VAL       ;
-  delete ACK       ;
-  delete ENTITY    ;
-  delete ENTITY_ACK;
+  delete    CLOCK;
+  delete    NRESET;
+  delete [] VAL       ;
+  delete [] ACK       ;
+  delete    ENTITY    ;
+  delete    ENTITY_ACK;
 #endif
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/include/Select_Priority_Fixed.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/include/Select_Priority_Fixed.h	(revision 38)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/include/Select_Priority_Fixed.h	(revision 40)
@@ -19,12 +19,11 @@
 #include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Parameters.h"
 #include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Types.h"
+#ifdef STATISTICS
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Statistics.h"
+#endif
 #ifdef POSITION
 #include "Behavioural/include/Position.h"
 #else
 #include "Behavioural/include/Interfaces.h"
-#endif
-
-#ifdef STATISTICS
-#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Statistics.h"
 #endif
 #ifdef VHDL
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Parameters_msg_error.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Parameters_msg_error.cpp	(revision 38)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Parameters_msg_error.cpp	(revision 40)
@@ -31,7 +31,7 @@
       }
 
+    log_printf(FUNC,Select_Priority_Fixed,"msg_error","End");
+
     return msg;
-
-    log_printf(FUNC,Select_Priority_Fixed,"msg_error","End");
   };
 
@@ -39,5 +39,4 @@
 }; // end namespace select
 }; // end namespace generic
-
 }; // end namespace behavioural
 }; // end namespace morpheo              
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed.cpp	(revision 38)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed.cpp	(revision 40)
@@ -38,10 +38,4 @@
 #endif
 
-#ifdef POSITION
-    log_printf(INFO,Select_Priority_Fixed,"Select_Priority_Fixed","Position");
-    
-    
-#endif
-
 #ifdef STATISTICS
     log_printf(INFO,Select_Priority_Fixed,"Select_Priority_Fixed","Allocation of statistics");
@@ -56,7 +50,4 @@
     log_printf(INFO,Select_Priority_Fixed,"Select_Priority_Fixed","Creation of a testbench");
 
-    // Creation of a testbench
-    //  -> port
-    //  -> clock's signals
     _vhdl_testbench = new Vhdl_Testbench (_name);
 #endif
@@ -137,5 +128,4 @@
 }; // end namespace select
 }; // end namespace generic
-
 }; // end namespace behavioural
 }; // end namespace morpheo              
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_allocation.cpp	(revision 38)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_allocation.cpp	(revision 40)
@@ -35,8 +35,5 @@
     // ~~~~~[ Interface : "" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
-    Interface * interface_ = _interfaces->set_interface(""  ,
-							IN  ,
-							WEST,
-							"...");
+    Interface_fifo * interface_ = _interfaces->set_interface("", IN  ,WEST, "Generalist interface");
 
      in_CLOCK        = interface_->set_signal_clk              ("clock" ,1, PORT_VHDL_YES_TESTBENCH_NO);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_deallocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_deallocation.cpp	(revision 38)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_deallocation.cpp	(revision 40)
@@ -20,23 +20,19 @@
     log_printf(FUNC,Select_Priority_Fixed,"deallocation","Begin");
 
-    delete in_CLOCK;
-    delete in_NRESET;
+    delete     in_CLOCK;
+    delete     in_NRESET;
 
-    for (uint32_t i=0; i<_param._nb_entity; i++)
-      {
-	delete  in_VAL [i];
-	if (_param._encoding_one_hot)
-	delete out_ACK [i];
-      }
+    delete []  in_VAL;
+    if (_param._encoding_one_hot)
+    delete [] out_ACK;
 
-    delete  in_VAL;
-    if (_param._encoding_one_hot)
-    delete out_ACK;
     if (_param._encoding_compact)
       {
-    delete out_ENTITY;
-    delete out_ENTITY_ACK;
+    delete    out_ENTITY;
+    delete    out_ENTITY_ACK;
       }
     // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
+
+    cout << *_interfaces << endl;
 
 #ifdef POSITION
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_genMealy_entity.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_genMealy_entity.cpp	(revision 38)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_genMealy_entity.cpp	(revision 40)
@@ -1,4 +1,3 @@
 #ifdef SYSTEMC
-#if defined(STATISTICS) or defined(VHDL_TESTBENCH)
 /*
  * $Id$
@@ -64,3 +63,2 @@
 }; // end namespace morpheo              
 #endif
-#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl.cpp	(revision 38)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl.cpp	(revision 40)
@@ -30,6 +30,8 @@
 
     vhdl->generate_file();
+
+    delete vhdl;
+
     log_printf(FUNC,Select_Priority_Fixed,"vhdl","End");
-
   };
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl_port.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl_port.cpp	(revision 38)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl_port.cpp	(revision 40)
@@ -19,7 +19,6 @@
     log_printf(FUNC,Select_Priority_Fixed,"vhdl_port","Begin");
 
-#ifdef VHDL
     _interfaces->set_port(vhdl);
-#endif
+
 #ifdef VHDL_TESTBENCH
     _interfaces->set_port(_vhdl_testbench);			
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl_testbench_transition.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl_testbench_transition.cpp	(revision 38)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl_testbench_transition.cpp	(revision 40)
@@ -23,8 +23,4 @@
     sc_start(0);
 
-    // In order with file Select_Priority_Fixed_vhdl_testbench_port.cpp
-    // Warning : if a output depend of a subcomponent, take directly the port of subcomponent
-    // (because we have no control on the ordonnancer's policy)
-
     _interfaces->testbench(_vhdl_testbench);
 
